# Pull Request

## Description
Brief description of the changes in this pull request.

## Type of Change
- [ ] Bug fix (non-breaking change which fixes an issue)
- [ ] New feature (non-breaking change which adds functionality)
- [ ] Breaking change (fix or feature that would cause existing functionality to not work as expected)
- [ ] Documentation update
- [ ] Performance improvement
- [ ] Code refactoring
- [ ] Security improvement

## Related Issues
- Fixes #(issue number)
- Closes #(issue number)
- Related to #(issue number)

## Changes Made
- [ ] Change 1
- [ ] Change 2
- [ ] Change 3

## Testing
### Test Coverage
- [ ] Unit tests added/updated
- [ ] Integration tests added/updated
- [ ] End-to-end tests added/updated
- [ ] Manual testing completed

### Test Results
```bash
# Paste test results here
```

## Security Considerations
- [ ] No security implications
- [ ] Security review required
- [ ] Breaking security changes (requires major version bump)

### Security Checklist (if applicable)
- [ ] Input validation added/updated
- [ ] Authentication/authorization properly implemented
- [ ] Secrets/credentials properly handled
- [ ] Security tests added

## Performance Impact
- [ ] No performance impact
- [ ] Performance improved
- [ ] Performance degraded (explain below)

### Performance Details
<!-- If there's a performance impact, please describe it -->

## Breaking Changes
<!-- List any breaking changes and migration instructions -->

## Documentation
- [ ] README updated
- [ ] API documentation updated
- [ ] Code comments added/updated
- [ ] Change log updated
- [ ] Migration guide added (if breaking changes)

## Dependencies
- [ ] No new dependencies
- [ ] New dependencies added (list below)
- [ ] Dependencies updated (list below)

### New/Updated Dependencies
<!-- List any new or updated dependencies -->

## Deployment Notes
<!-- Any special deployment considerations -->

## Screenshots/Examples
<!-- Add screenshots or code examples if relevant -->

## Checklist
- [ ] Code follows project style guidelines
- [ ] Self-review of code completed
- [ ] Tests pass locally
- [ ] Security scan passes
- [ ] Documentation is clear and complete
- [ ] Changes are backward compatible (or breaking changes are documented)

## Additional Notes
<!-- Any additional information about this PR -->

---

### For Reviewers
**Review Focus Areas:**
- [ ] Code quality and style
- [ ] Security implications
- [ ] Performance impact
- [ ] Test coverage
- [ ] Documentation completeness
- [ ] Breaking changes

**Testing Instructions:**
1. Step 1
2. Step 2
3. Step 3

**Questions for Discussion:**
- Question 1?
- Question 2?